Index: trunk/src/globals.h
===================================================================
--- trunk/src/globals.h	(revision 155)
+++ trunk/src/globals.h	(revision 157)
@@ -143,5 +143,5 @@
 
 #ifdef HANDHELD
-#   define ICON_SIZE "32x32"
+#   define ICON_SIZE "48x48"
 #   define ICON_FORMAT "png"
 #else
Index: trunk/src/mainwindow.cpp
===================================================================
--- trunk/src/mainwindow.cpp	(revision 155)
+++ trunk/src/mainwindow.cpp	(revision 157)
@@ -606,4 +606,5 @@
     dlg->setWindowTitle(tr("About %1").arg(QCoreApplication::applicationName()));
     dlg->setWindowIcon(GET_ICON("help-about"));
+
     dlg->setLayout(vb);
 
@@ -715,5 +716,5 @@
             QMessageBox::warning(this, tr("Solution Result"), tr("Unable to find a solution.\nMaybe, this task has no solution."));
         }
-        pd.setLabelText(tr("Cleaning up..."));
+        pd.setLabelText(tr("Memory cleanup..."));
         pd.setMaximum(0);
         pd.setCancelButton(NULL);
@@ -801,5 +802,5 @@
     while ((step->next != SStep::NoNextStep) && (c < spinCities->value())) {
         if (pd.wasCanceled()) {
-            pd.setLabelText(tr("Cleaning up..."));
+            pd.setLabelText(tr("Memory cleanup..."));
             pd.setMaximum(0);
             pd.setCancelButton(NULL);
@@ -934,5 +935,5 @@
         solutionText->moveCursor(QTextCursor::Start);
 
-    pd.setLabelText(tr("Cleaning up..."));
+    pd.setLabelText(tr("Memory cleanup..."));
     pd.setMaximum(0);
     pd.setCancelButton(NULL);
@@ -1106,7 +1107,7 @@
 int r;
     if (settings->value("Output/HQGraph", DEF_HQ_GRAPH).toBool())
-        r = 70;
+        r = logicalDpiX() / 1.27;
     else
-        r = 35;
+        r = logicalDpiX() / 2.54;
 qreal x, y;
     if (step != NULL)
Index: trunk/src/tspmodel.cpp
===================================================================
--- trunk/src/tspmodel.cpp	(revision 155)
+++ trunk/src/tspmodel.cpp	(revision 157)
@@ -376,9 +376,9 @@
         return false;
     else if (status == QDataStream::ReadPastEnd)
-        err = tr("Unexpected end of file.");
+        err = tr("Unexpected end of file. The file could be corrupted.");
     else if (status == QDataStream::ReadCorruptData)
-        err = tr("Corrupt data read. File possibly corrupted.");
+        err = tr("Corrupt data read. The file could be corrupted.");
     else
-        err = tr("Unknown error.");
+        err = tr("Unknown error. The file could be corrupted.");
     QApplication::restoreOverrideCursor();
     QApplication::setOverrideCursor(QCursor(Qt::ArrowCursor));
@@ -402,5 +402,8 @@
         QApplication::restoreOverrideCursor();
         QApplication::setOverrideCursor(QCursor(Qt::ArrowCursor));
-        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n" + tr("File version is newer than application supports.\nPlease, try to update application."));
+        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n"
+            + tr("File version (%1) is newer than this version of %3 supports (%2).\n"
+                 "Please, try to update the application. Also, the file might be corrupted.")
+                 .arg(version).arg(TSPT_VERSION).arg(QApplication::applicationName()));
         QApplication::restoreOverrideCursor();
         return false;
@@ -415,8 +418,19 @@
     if (loadError(ds->status()))
         return false;
-    if ((size < 3) || (size > MAX_NUM_CITIES)) {
-        QApplication::restoreOverrideCursor();
-        QApplication::setOverrideCursor(QCursor(Qt::ArrowCursor));
-        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n" + tr("Unexpected data read.\nFile is possibly corrupted."));
+    if (size < 3) {
+        QApplication::restoreOverrideCursor();
+        QApplication::setOverrideCursor(QCursor(Qt::ArrowCursor));
+        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n"
+            + tr("Unexpected data read. The file could be corrupted."));
+        QApplication::restoreOverrideCursor();
+        return false;
+    }
+    if (size > MAX_NUM_CITIES) {
+        QApplication::restoreOverrideCursor();
+        QApplication::setOverrideCursor(QCursor(Qt::ArrowCursor));
+        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n"
+            + tr("The task contains more cities (%1) than this version of %3 supports (%2).\n"
+                 "You might be using an old version of the application or the file could be corrupted.")
+                 .arg(size).arg(MAX_NUM_CITIES).arg(QApplication::applicationName()));
         QApplication::restoreOverrideCursor();
         return false;
@@ -458,5 +472,8 @@
         QApplication::restoreOverrideCursor();
         QApplication::setOverrideCursor(QCursor(Qt::ArrowCursor));
-        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n" + tr("File version is newer than application supports.\nPlease, try to update application."));
+        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n"
+            + tr("File version (%1) is newer than this version of %3 supports (%2).\n"
+                 "Please, try to update the application. Also, the file could be corrupted.")
+                 .arg(version).arg(TSPT_VERSION).arg(QApplication::applicationName()));
         QApplication::restoreOverrideCursor();
         return false;
@@ -470,5 +487,6 @@
         QApplication::restoreOverrideCursor();
         QApplication::setOverrideCursor(QCursor(Qt::ArrowCursor));
-        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n" + tr("Unexpected data read.\nFile is possibly corrupted."));
+        QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n"
+            + tr("Unexpected data read. The file could be corrupted."));
         QApplication::restoreOverrideCursor();
         return false;