Index: docs/html/tspsolver_8h.html
===================================================================
--- docs/html/tspsolver_8h.html	(revision a218bf2cb2ca63e707376558a4b4e21eeb62e8e6)
+++ docs/html/tspsolver_8h.html	(revision 354e06314f7b69ad60bb7c12246612de004d8f9f)
@@ -87,5 +87,5 @@
 <div class="contents">
 <h1>src/tspsolver.h File Reference</h1>
-<p>Defines <a class="el" href="tspsolver_8h.html#a96b95c574161e5013286210c96c581ba" title="A matrix of city-to-city travel costs.">tMatrix</a> typedef, <a class="el" href="structs_step.html" title="This structure represents one step of solving.">sStep</a> struct and <a class="el" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a> class.  
+<p>Defines <a class="el" href="tspsolver_8h.html#a3addcca59ef59d0b3892b3670f808965" title="A matrix of city-to-city travel costs.">TMatrix</a> typedef, <a class="el" href="struct_s_candidate.html" title="A structure that represents a candidate for branching.">SCandidate</a> and <a class="el" href="struct_s_step.html" title="This structure represents one step of solving.">SStep</a> structs and <a class="el" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a> class.  
 <a href="#_details">More...</a></p>
 <code>#include &quot;<a class="el" href="globals_8h_source.html">globals.h</a>&quot;</code><br/>
@@ -114,17 +114,19 @@
 <table border="0" cellpadding="0" cellspacing="0">
 <tr><td colspan="2"><h2>Classes</h2></td></tr>
-<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structs_step.html">sStep</a></td></tr>
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This structure represents one step of solving.  <a href="structs_step.html#_details">More...</a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_candidate.html">SCandidate</a></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A structure that represents a candidate for branching.  <a href="struct_s_candidate.html#_details">More...</a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_step.html">SStep</a></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This structure represents one step of solving.  <a href="struct_s_step.html#_details">More...</a><br/></td></tr>
 <tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_t_s_p_solver.html">CTSPSolver</a></td></tr>
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This class solves Travelling Salesman Problem task.  <a href="class_c_t_s_p_solver.html#_details">More...</a><br/></td></tr>
 <tr><td colspan="2"><h2>Typedefs</h2></td></tr>
-<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96b95c574161e5013286210c96c581ba"></a><!-- doxytag: member="tspsolver.h::tMatrix" ref="a96b95c574161e5013286210c96c581ba" args="" -->
-typedef <a class="elRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">QList</a>&lt; <a class="elRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">QList</a>&lt; double &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tspsolver_8h.html#a96b95c574161e5013286210c96c581ba">tMatrix</a></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3addcca59ef59d0b3892b3670f808965"></a><!-- doxytag: member="tspsolver.h::TMatrix" ref="a3addcca59ef59d0b3892b3670f808965" args="" -->
+typedef <a class="elRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">QList</a>&lt; <a class="elRef" doxygen="qt-4.6.tag:http://doc.trolltech.com/4.6/" href="http://doc.trolltech.com/4.6/qlist.html">QList</a>&lt; double &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tspsolver_8h.html#a3addcca59ef59d0b3892b3670f808965">TMatrix</a></td></tr>
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A matrix of city-to-city travel costs. <br/></td></tr>
 </table>
 <hr/><a name="_details"></a><h2>Detailed Description</h2>
-<p>Defines <a class="el" href="tspsolver_8h.html#a96b95c574161e5013286210c96c581ba" title="A matrix of city-to-city travel costs.">tMatrix</a> typedef, <a class="el" href="structs_step.html" title="This structure represents one step of solving.">sStep</a> struct and <a class="el" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a> class. </p>
+<p>Defines <a class="el" href="tspsolver_8h.html#a3addcca59ef59d0b3892b3670f808965" title="A matrix of city-to-city travel costs.">TMatrix</a> typedef, <a class="el" href="struct_s_candidate.html" title="A structure that represents a candidate for branching.">SCandidate</a> and <a class="el" href="struct_s_step.html" title="This structure represents one step of solving.">SStep</a> structs and <a class="el" href="class_c_t_s_p_solver.html" title="This class solves Travelling Salesman Problem task.">CTSPSolver</a> class. </p>
 <dl class="author"><dt><b>Author:</b></dt><dd>Copyright &copy; 2007-2009 Lёppa &lt;contacts[at]oleksii[dot]name&gt;</dd></dl>
-<dl class="rcs"><dt><b>Id</b></dt><dd><a class="el" href="tspsolver_8h.html" title="Defines tMatrix typedef, sStep struct and CTSPSolver class.">tspsolver.h</a> 71 2009-12-07 16:06:44Z laleppa </dd></dl>
+<dl class="rcs"><dt><b>Id</b></dt><dd><a class="el" href="tspsolver_8h.html" title="Defines TMatrix typedef, SCandidate and SStep structs and CTSPSolver class.">tspsolver.h</a> 74 2009-12-16 22:22:05Z laleppa </dd></dl>
 <dl class="rcs"><dt><b>URL</b></dt><dd><a href="https://tspsg.svn.sourceforge.net/svnroot/tspsg/trunk/src/tspsolver.h">https://tspsg.svn.sourceforge.net/svnroot/tspsg/trunk/src/tspsolver.h</a> </dd></dl>
 <p><b>TSPSG: TSP Solver and Generator</b></p>
@@ -148,5 +150,5 @@
 </div>
 
-<hr size="1"/><address style="text-align: right;"><small>Generated on Mon Dec 7 18:11:36 2009 for TSPSG: TSP Solver and Generator by&nbsp;
+<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Dec 17 00:37:29 2009 for TSPSG: TSP Solver and Generator by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>