Index: ui/mainwindow.ce.ui
===================================================================
--- ui/mainwindow.ce.ui	(revision b24a5a054a709eb38bbbdab508f452eeb9ff493e)
+++ ui/mainwindow.ce.ui	(revision 430bd7f7e921daaebe01fd919c3125800872eceb)
@@ -10,6 +10,6 @@
     <x>0</x>
     <y>0</y>
-    <width>234</width>
-    <height>292</height>
+    <width>225</width>
+    <height>322</height>
    </rect>
   </property>
@@ -22,7 +22,4 @@
   </property>
   <widget class="QWidget" name="centralwidget">
-   <property name="enabled">
-    <bool>true</bool>
-   </property>
    <widget class="QTabWidget" name="tabWidget">
     <property name="enabled">
@@ -31,8 +28,8 @@
     <property name="geometry">
      <rect>
-      <x>0</x>
-      <y>0</y>
-      <width>235</width>
-      <height>240</height>
+      <x>9</x>
+      <y>9</y>
+      <width>207</width>
+      <height>248</height>
      </rect>
     </property>
@@ -206,34 +203,20 @@
       <string>Solution</string>
      </attribute>
-     <layout class="QVBoxLayout" name="_4">
+     <layout class="QVBoxLayout" name="verticalLayout_2">
       <item>
-       <layout class="QHBoxLayout" name="_5">
-        <property name="spacing">
-         <number>0</number>
+       <widget class="QTextEdit" name="solutionText">
+        <property name="enabled">
+         <bool>false</bool>
         </property>
-        <item>
-         <widget class="QTextEdit" name="textEdit">
-          <property name="sizePolicy">
-           <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
-            <horstretch>0</horstretch>
-            <verstretch>0</verstretch>
-           </sizepolicy>
-          </property>
-          <property name="statusTip">
-           <string>Solution steps</string>
-          </property>
-          <property name="readOnly">
-           <bool>true</bool>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QGraphicsView" name="graphicsView">
-          <property name="statusTip">
-           <string>Solution graph</string>
-          </property>
-         </widget>
-        </item>
-       </layout>
+        <property name="statusTip">
+         <string>Solution steps</string>
+        </property>
+        <property name="readOnly">
+         <bool>true</bool>
+        </property>
+        <property name="textInteractionFlags">
+         <set>Qt::TextSelectableByKeyboard|Qt::TextSelectableByMouse</set>
+        </property>
+       </widget>
       </item>
      </layout>
@@ -246,6 +229,6 @@
      <x>0</x>
      <y>0</y>
-     <width>234</width>
-     <height>24</height>
+     <width>225</width>
+     <height>22</height>
     </rect>
    </property>
@@ -270,9 +253,6 @@
        <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
      </property>
-     <addaction name="actionFileSaveTask"/>
-     <addaction name="separator"/>
-     <addaction name="actionFileSaveResultAll"/>
-     <addaction name="actionFileSaveResultMatrices"/>
-     <addaction name="actionFileSaveResultGraph"/>
+     <addaction name="actionFileSaveAsTask"/>
+     <addaction name="actionFileSaveAsSolution"/>
     </widget>
     <addaction name="actionFileNew"/>
@@ -295,5 +275,5 @@
      </property>
      <property name="title">
-      <string extracomment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
+      <string comment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
      </property>
      <property name="icon">
@@ -369,10 +349,13 @@
    </property>
   </action>
-  <action name="actionFileSaveResultAll">
+  <action name="actionFileSaveAsSolution">
    <property name="enabled">
     <bool>false</bool>
    </property>
    <property name="text">
-    <string>&amp;Solution</string>
+    <string>&amp;Solution...</string>
+   </property>
+   <property name="iconText">
+    <string>Solution...</string>
    </property>
    <property name="toolTip">
@@ -497,5 +480,5 @@
    </property>
   </action>
-  <action name="actionFileSaveTask">
+  <action name="actionFileSaveAsTask">
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -567,5 +550,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/qtlogo-64.png</normaloff>:/images/qtlogo-64.png</iconset>
+     <normaloff>:/images/icons/qtlogo-64.png</normaloff>:/images/icons/qtlogo-64.png</iconset>
    </property>
    <property name="text">