Index: docs/dox/changelog.dox
===================================================================
--- docs/dox/changelog.dox	(revision 3487003f063f4262a15c7a126734065d6174bace)
+++ docs/dox/changelog.dox	(revision 2512bd5a48d086ea03092bc4bdb368c58fc82854)
@@ -9,4 +9,8 @@
 \section cl_toc Table of Contents
 
+  -# \ref cl_b170
+     -# \ref cl_b170_w
+     -# \ref cl_b170_c
+     -# \ref cl_b170_b
   -# \ref cl_b145
      -# \ref cl_b145_w
@@ -23,4 +27,46 @@
 
 \attention This ChangeLog is updated only on releases.
+
+<hr>
+
+\section cl_b170 TSPSG v0.1.4 beta 2 (build 170)
+
+\subsection cl_b170_w WHAT'S NEW
+
+  - Support for embedded base64 encoded images when saving solution as
+    HTML (\ticket{4,Ticket #4}).
+  - The ability to setup page-related options for printing (\ticket{5,Ticket #5}).
+  - Solution graph size can now be controlled using \c Output/GraphWidth
+    setting in \em tspsg.ini. Value is in centimeters. (\ticket{8,Ticket #8})
+
+
+\subsection cl_b170_c CHANGES & IMPROVEMENTS
+
+  - Any value that is entered into task table and doesn't contain
+    numbers is considered an infinity.
+  - Some error messages are more verbose.
+  - Removed a prompt about turning off language autodetection when
+    selecting a language.
+  - Handheld version includes larger icons (48x48 instead of 32x32).
+  - If after running Save As dialog file name doesn't have an extension
+    .tspt will be automatically appended.
+  - Translucency effect is available on all desktop platforms. No check
+    for its support by window system is made at this moment. Blur is
+    only available in Windows Vista or higher.
+
+
+\subsection cl_b170_b BUGFIXES
+
+  - \ticket{2,Bug #2}: Solution graph is too small on high resolution screens.
+  - \ticket{3,Bug #3}: Solution graph font size should be fixed.
+  - \ticket{6,Bug #6}: Bug: Actions in Options Menu.
+  - \ticket{7,Bug #7}: No Cancel option in Unsaved Changes dialog under Symbian.
+  - \ticket{9,Bug #9}: Solution graph is still exported to HTML when graph
+    generation is disabled.
+  - Language name was not loaded in its menu item's status tip which
+    caused status tip to be "Set application language to ".
+  - Icons in toolbar configuration dialog didn't follow style and one
+    of them wasn't shown.
+
 
 <hr>
Index: docs/dox/mainpage.dox
===================================================================
--- docs/dox/mainpage.dox	(revision 3487003f063f4262a15c7a126734065d6174bace)
+++ docs/dox/mainpage.dox	(revision 2512bd5a48d086ea03092bc4bdb368c58fc82854)
@@ -31,4 +31,5 @@
 \ref changelog
 
+  -# \ref cl_b170
   -# \ref cl_b145
   -# \ref cl_b100
Index: docs/tspsg.tag
===================================================================
--- docs/tspsg.tag	(revision 3487003f063f4262a15c7a126734065d6174bace)
+++ docs/tspsg.tag	(revision 2512bd5a48d086ea03092bc4bdb368c58fc82854)
@@ -106,7 +106,7 @@
     <member kind="define">
       <type>#define</type>
-      <name>DEF_SHOW_GRAPH</name>
-      <anchorfile>defaults_8h.html</anchorfile>
-      <anchor>aaa6a2cd72387081215575b4013ef8cbd</anchor>
+      <name>DEF_GENERATE_GRAPH</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a73f8a39306276216c93cdc2a717b1342</anchor>
       <arglist></arglist>
     </member>
@@ -127,4 +127,18 @@
     <member kind="define">
       <type>#define</type>
+      <name>DEF_EMBED_GRAPH_INTO_HTML</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a16fdbd8b89b9084127049fa05b1b5f58</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_GRAPH_WIDTH</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>ab49ccdefac341aab2264a333465195bd</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
       <name>DEF_SHOW_MATRIX</name>
       <anchorfile>defaults_8h.html</anchorfile>
@@ -186,4 +200,46 @@
       <anchorfile>defaults_8h.html</anchorfile>
       <anchor>a442f2f1e773805a0ba8949f31fbf4ede</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_PAGE_SIZE</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a2ab370dcb12e8b14e1a63f81b7ab02f3</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_PAGE_ORIENTATION</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a0f7b5d05680696e6774abf894323da9c</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_MARGIN_LEFT</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a7c486bdb40b92784b2921a7557f08a83</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_MARGIN_TOP</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a19accd252c3c5efdbdb823a3c0765eee</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_MARGIN_RIGHT</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>af14158579bd7ad31545323c8ab012c21</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_MARGIN_BOTTOM</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a31dade76dbb218c92c0f7e48e0ccfa10</anchor>
       <arglist></arglist>
     </member>
@@ -197,4 +253,5 @@
     <includes id="defaults_8h" name="defaults.h" local="yes" imported="no">defaults.h</includes>
     <includes id="tspsolver_8h" name="tspsolver.h" local="yes" imported="no">tspsolver.h</includes>
+    <includes id="qtwin_8h" name="qtwin.h" local="yes" imported="no">qtwin.h</includes>
     <member kind="define">
       <type>#define</type>
@@ -272,4 +329,18 @@
       <anchorfile>globals_8h.html</anchorfile>
       <anchor>a1ae8033146e07fa0bae37f148b90cd6b</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>CM_IN_INCH</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>aac9ce8fb785520c655eb7ae34542fb16</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>HQ_FACTOR</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a73228cd500c622bd1d90d1148f5f706b</anchor>
       <arglist></arglist>
     </member>
@@ -287,4 +358,11 @@
       <anchor>a5625fcd02d07005677ff6ee3dd799e05</anchor>
       <arglist>()</arglist>
+    </member>
+    <member kind="function">
+      <type>void</type>
+      <name>toggleStyle</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a3ffe98116f42de97041cde4a2b0404e6</anchor>
+      <arglist>(QWidget *widget, bool enable)</arglist>
     </member>
   </compound>
@@ -515,6 +593,9 @@
     <docanchor file="changelog">cl_b100_i</docanchor>
     <docanchor file="changelog">cl_b145_c</docanchor>
+    <docanchor file="changelog">cl_b170</docanchor>
     <docanchor file="changelog">cl_b100_w</docanchor>
     <docanchor file="changelog">cl_toc</docanchor>
+    <docanchor file="changelog">cl_b170_b</docanchor>
+    <docanchor file="changelog">cl_b170_c</docanchor>
     <docanchor file="changelog">cl_b42_f</docanchor>
     <docanchor file="changelog">cl_b145_i</docanchor>
@@ -524,4 +605,5 @@
     <docanchor file="changelog">cl_b100_b</docanchor>
     <docanchor file="changelog">cl_b100_c</docanchor>
+    <docanchor file="changelog">cl_b170_w</docanchor>
     <docanchor file="changelog">cl_b145_b</docanchor>
     <docanchor file="changelog">cl_b145</docanchor>