Index: src/_.h
===================================================================
--- src/_.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/_.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -10,5 +10,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/defaults.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/globals.cpp
===================================================================
--- src/globals.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/globals.cpp	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -10,5 +10,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/globals.h
===================================================================
--- src/globals.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/globals.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/main.cpp	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -10,5 +10,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/mainwindow.cpp	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -10,5 +10,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
@@ -666,5 +666,5 @@
     about += tr("This program is free software: you can redistribute it and/or modify<br>\n"
         "it under the terms of the GNU General Public License as published by<br>\n"
-        "the Free Software Foundation, either version 3 of the License, or<br>\n"
+        "the Free Software Foundation, either version 2 of the License, or<br>\n"
         "(at your option) any later version.<br>\n"
         "<br>\n"
Index: src/mainwindow.h
===================================================================
--- src/mainwindow.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/mainwindow.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/os.h
===================================================================
--- src/os.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/os.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -17,5 +17,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/pch.h
===================================================================
--- src/pch.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/pch.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/resource.h
===================================================================
--- src/resource.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/resource.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/settingsdialog.cpp	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -10,5 +10,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/settingsdialog.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/tspmodel.cpp
===================================================================
--- src/tspmodel.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/tspmodel.cpp	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -10,5 +10,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/tspmodel.h
===================================================================
--- src/tspmodel.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/tspmodel.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/tspsolver.cpp
===================================================================
--- src/tspsolver.cpp	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/tspsolver.cpp	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -10,5 +10,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/tspsolver.h
===================================================================
--- src/tspsolver.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/tspsolver.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *
Index: src/version.h
===================================================================
--- src/version.h	(revision 21c03af7870b12dcf1cc3503c398191b8b8188e9)
+++ src/version.h	(revision 2940c147821904dc7ab44b9418c7c7f645d636b8)
@@ -14,5 +14,5 @@
  *  TSPSG is free software: you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
+ *  the Free Software Foundation, either version 2 of the License, or
  *  (at your option) any later version.
  *