Index: ChangeLog.md
===================================================================
--- ChangeLog.md	(revision 50b202f04de774aad15c1fc9b51579590f311b6d)
+++ ChangeLog.md	(revision 6221a58c7c319c90937385e5a6474a9f47cf6797)
@@ -6,14 +6,15 @@
 -------------------------------
 
-### WHAT'S NEW ###
+### What's New ###
 
   - Support for embedded base64 encoded images when saving solution as
-    HTML (Ticket #4).
-  - The ability to setup page-related options for printing (Ticket #5).
-  - Solution graph size can now be controlled using Output/GraphWidth
-    setting in tspsg.ini. Value is in centimeters. (Ticket #8)
+    HTML ([Ticket #4][]).
+  - The ability to setup page-related options for printing
+    ([Ticket #5][]).
+  - Solution graph size can now be controlled using `Output/GraphWidth`
+    setting in tspsg.ini. Value is in centimeters. ([Ticket #8][])
 
 
-### CHANGES & IMPROVEMENTS ###
+### Changes & Improvements ###
 
   - Any value that is entered into task table and doesn't contain
@@ -23,6 +24,6 @@
     selecting a language.
   - Handheld version includes larger icons (48x48 instead of 32x32).
-  - If after running Save As dialog file name doesn't have an extension
-    .tspt will be automatically appended.
+  - If after running Save As dialog file name doesn't have an
+    extension .tspt will be automatically appended.
   - Translucency effect is available on all desktop platforms. No check
     for its support by window system is made at this moment. Blur is
@@ -30,16 +31,27 @@
 
 
-### BUGFIXES ###
+### Bugfixes ###
 
-  - Bug #2: Solution graph is too small on high resolution screens.
-  - Bug #3: Solution graph font size should be fixed.
-  - Bug #6: Bug: Actions in Options Menu.
-  - Bug #7: No Cancel option in Unsaved Changes dialog under Symbian.
-  - Bug #9: Solution graph is still exported to HTML when graph
+  - [Bug #2][]: Solution graph is too small on high resolution screens.
+  - [Bug #3][]: Solution graph font size should be fixed.
+  - [Bug #6][]: Bug: Actions in Options Menu.
+  - [Bug #7][]: No Cancel option in Unsaved Changes dialog under
+    Symbian.
+  - [Bug #9][]: Solution graph is still exported to HTML when graph
     generation is disabled.
   - Language name was not loaded in its menu item's status tip which
-    caused status tip to be "Set application language to ".
+    caused status tip to be *Set application language to *.
   - Icons in toolbar configuration dialog didn't follow style and one
     of them wasn't shown.
+
+
+[Bug #2]: http://bugs.tspsg.info/ticket/2
+[Bug #3]: http://bugs.tspsg.info/ticket/3
+[Ticket #4]: http://bugs.tspsg.info/ticket/4
+[Ticket #5]: http://bugs.tspsg.info/ticket/5
+[Bug #6]: http://bugs.tspsg.info/ticket/6
+[Bug #7]: http://bugs.tspsg.info/ticket/7
+[Ticket #8]: http://bugs.tspsg.info/ticket/8
+[Bug #9]: http://bugs.tspsg.info/ticket/9
 
 
@@ -47,42 +59,42 @@
 -------------------------------
 
-### WHAT'S NEW ###
+### What's New ###
 
-  + Solution graph generation.
-  + Support for switching between available Qt styles.
-  + Toolbar customization support (only on desktop platforms).
-  + An option to remember last used directory when saving and opening.
-  + Automatically check for updates at the given interval option (only
+  - Solution graph generation.
+  - Support for switching between available Qt styles.
+  - Toolbar customization support (only on desktop platforms).
+  - An option to remember last used directory when saving and opening.
+  - Automatically check for updates at the given interval option (only
     on Windows platform at this moment).
 
 
-### IMPROVEMENTS ###
+### Improvements ###
 
-  + Improved the solution output generation algorithm. It is now about
+  - Improved the solution output generation algorithm. It is now about
     1.65 times faster.
-  + Dragging and dropping task file on the main window now opens it.
-  + The deafult output font is now DejaVu LGC Sans Mono and it comes
+  - Dragging and dropping task file on the main window now opens it.
+  - The deafult output font is now DejaVu LGC Sans Mono and it comes
     "embedded" in the executable.
-  + The current desktop icon theme in Linux is now used if it follows
+  - The current desktop icon theme in Linux is now used if it follows
     freedesktop.org icon theme and icon naming spesifications.
-  + Translations are now "embedded" in the executable but may be
+  - Translations are now "embedded" in the executable but may be
     overrided by placing files with the same names in l10n folder.
-  + Support for Windows 7 Taskbar Extensions (namely, Progress Bars).
+  - Support for Windows 7 Taskbar Extensions (namely, Progress Bars).
 
 
-### CHANGES ###
+### Changes ###
 
-  * About dialog was "tabified". Added GPL License and Credits tabs.
-  * Platform dependent settings (e.g. paths) are saved per-platform.
-  * 32x32 icons are used on handheld platforms. This slightly decreases
+  - About dialog was "tabified". Added GPL License and Credits tabs.
+  - Platform dependent settings (e.g. paths) are saved per-platform.
+  - 32x32 icons are used on handheld platforms. This slightly decreases
     the size of handheld versions. Desktop icons are still 128x128.
-  * Windows binary builds were moved from MSVC to Mingw-w64: no more
+  - Windows binary builds were moved from MSVC to Mingw-w64: no more
     Visual C++ Runtime dependency.
 
 
-### BUGFIXES ###
+### Bugfixes ###
 
   - Solution related actions not disabled when solution is canceled.
-  - "Autosize" setting was never saved and was always on.
+  - Autosize setting was never saved and was always on.
 
 
@@ -91,60 +103,60 @@
 --------------------------------
 
-### WHAT'S NEW ###
+### What's New ###
 
-  + New TSPSG icon.
-  + Symmetric mode: in this mode the cost of travel from city 1 to
+  - New TSPSG icon.
+  - Symmetric mode: in this mode the cost of travel from city 1 to
     city 2 and vice versa is the same.
-  + Printing of solution results (if the platform supports it).
-  + Saving solution to PDF (if the platform supports printing).
-  + An ability to reset all settings to their defaults: hold Shift
+  - Printing of solution results (if the platform supports it).
+  - Saving solution to PDF (if the platform supports printing).
+  - An ability to reset all settings to their defaults: hold Shift
     while clicking Save button in the Settings Dialog.
-  + An ability to generate fractional random numbers.
-  + An ability to set the fractional accuracy (in decimail places).
-  + An ability to select between using native and Qt's file dialogs
+  - An ability to generate fractional random numbers.
+  - An ability to set the fractional accuracy (in decimail places).
+  - An ability to select between using native and Qt's file dialogs
     when opening and saving tasks and solutions.
-  + An ability to disable showing of the solution steps' matrices in
+  - An ability to disable showing of the solution steps' matrices in
     solution output.
-  + An ability to enable scroll to the end of the solution output after
+  - An ability to enable scroll to the end of the solution output after
     solving.
-  + An ability ot enable automatic resize of columns and rows to their
+  - An ability ot enable automatic resize of columns and rows to their
     contents on its change.
-  + Basic support for Symbian.
-  + Check for updates functionality (only in Windows version at this
+  - Basic support for Symbian.
+  - Check for updates functionality (only in Windows version at this
     moment).
 
 
-### IMPROVEMENTS ###
+### Improvements ###
 
-  + Improved the solution algorithm.
-  + The maximum number of cities in task was increased to 50.
+  - Improved the solution algorithm.
+  - The maximum number of cities in task was increased to 50.
     NOTE: Showing the solution steps' matrices is disabled by default
     for tasks with more than 15 cities to considerably speed up the
     generation of the solution output process.
-  + List of alternate candidates for branching is now displayed.
-  + Warning about possible non-optimal result.
-  + Open a file, passed as command-line argument.
-  + Currently opened file name is displayed in the Main Window title.
-  + "Save Solution" and "Back to Task" buttons in Solution tab for
+  - List of alternate candidates for branching is now displayed.
+  - Warning about possible non-optimal result.
+  - Open a file, passed as command-line argument.
+  - Currently opened file name is displayed in the Main Window title.
+  - "Save Solution" and "Back to Task" buttons in Solution tab for
     better usability.
-  + The size of the toolbar buttons is now determined based on the
+  - The size of the toolbar buttons is now determined based on the
     device DPI in Windows Mobile and Symbian.
-  + SIP show/hide handling in Windows Mobile.
-  + Toolbar state and position are now saved and restored with the Main
+  - SIP show/hide handling in Windows Mobile.
+  - Toolbar state and position are now saved and restored with the Main
     Window state and position.
-  + Window translucency support in Windows Vista and Windows 7.
+  - Window translucency support in Windows Vista and Windows 7.
 
 
-### CHANGES ###
+### Changes ###
 
-  * The resulting path is now sorted, always starts from City 1 and has
+  - The resulting path is now sorted, always starts from City 1 and has
     "City 1 -> City n -> ... -> City 1" format.
-  * Translations were moved from i18n to l10n folder to follow common
+  - Translations were moved from i18n to l10n folder to follow common
     standards.
-  * Reworked the Settings Dialog layout.
-  * Reworked the About dialog.
+  - Reworked the Settings Dialog layout.
+  - Reworked the About dialog.
 
 
-### BUGFIXES ###
+### Bugfixes ###
 
   - A solution couldn't be found for some tasks while the task had at
@@ -161,14 +173,16 @@
 This is initial TSPSG release.
 
-### FEATURES ###
+### Features ###
 
-  * Solving taks with up to 5 cities.
-  * Generating tasks.
-  * Saving solution results to HTML and ODF.
-  * Importing tasks from ZKomModRd.
-  * Multilinguality: English, Russian and Ukrainian languages.
-  * Linux/UNIX, Windows and Windows Mobile support.
+  - Solving taks with up to 5 cities.
+  - Generating tasks.
+  - Saving solution results to HTML and ODF.
+  - Importing tasks from ZKomModRd.
+  - Multilinguality: English, Russian and Ukrainian languages.
+  - Linux/UNIX, Windows and Windows Mobile support.
 
 
+<!--
 $Id: $Format:%h %ai %an$ $
 $URL: http://tspsg.info/ $
+-->
Index: INSTALL.md
===================================================================
--- INSTALL.md	(revision 50b202f04de774aad15c1fc9b51579590f311b6d)
+++ INSTALL.md	(revision 6221a58c7c319c90937385e5a6474a9f47cf6797)
@@ -2,140 +2,107 @@
 ========================
 
-Thank you for trying TSPSG. This document will guide you through the
-steps necessary to compile and run TSPSG.
-
-TABLE OF CONTENTS:
-
-  1. REQUIREMENTS
-  2. ASSUMPTIONS
-  3. SUPPORTED PLATFORMS
-  4. BUILDING AND INSTALLATION
-     4.1. COMMON INFORMATION
-     4.2. GENERAL PROCEDURE
-     4.3. LINUX/UNIX/BSD
-     4.4. WINDOWS
-          4.4.1. USING MINGW
-          4.4.2. USING VISUAL STUDIO
-     4.5. WINDOWS MOBILE
-     4.6. SYMBIAN
-     4.7. OTHER PLATFORMS, SUPPORTED BY QT
-  5. UNINSTALLATION
-  6. TROUBLESHOOTING
-     6.1. WINDRES.EXE CRASH
-  7. NOTES
-  8. REFERENCES
-
-
-
-1. REQUIREMENTS
+Thank you for trying **TSPSG**. This document will guide you through the
+steps necessary to compile and run **TSPSG**.
+
+
+1. Requirements
 ---------------
 
-To be able compile TSPSG you need to have Qt libraries. The minimum
-supported version of Qt is 4.5.0. The recommended version is 4.6.x
-or higher.
-
-NOTE: Please, note that there will be some regressions in functionality
-if your version of \em Qt is lower than the recommended.
-
-
-
-2. ASSUMPTIONS
+To be able compile **TSPSG** you need to have
+*[Qt libraries](http://qt-project.org/)*. The minimum supported version
+of *Qt* is **4.5.0**. The recommended version is **4.6.x** or higher.
+
+**NOTE**: Please, note that there will be some regressions in
+functionality if your version of *Qt* is lower than the recommended.
+
+
+2. Assumptions
 --------------
 
-This guide assumes that you already have Qt libraries and all necessary
-prerequisites installed.
+This guide assumes that you already have *Qt* libraries and all
+necessary prerequisites installed.
 
 Also, the following assumptions are made:
 
-  - For Linux/UNIX: lrelease and qmake are avilable in $PATH.
-
-  - For Windows (minGW) and Symbian: you have installed Qt SDK or
-    prebuilt libraries and have Start Menu items for Qt tools.
-
-  - For Windows (Visual Studio) and Windows Mobile: the Qt libraries
-    reside in C:\Qt\.
-
-  - For Windows Mobile: Windows Mobile 5.0 Pocket PC SDK or later is
-    installed.
-
-
-
-3. SUPPORTED PLATFORMS
+  - For **Linux/UNIX/BSD**: `lrelease` and `qmake` are avilable in
+    `$PATH`.
+  - For **Windows** (*MinGW*) and **Symbian**: you have installed *Qt
+    SDK* or prebuilt libraries and have Start Menu items for Qt tools.
+  - For **Windows** (*Visual Studio*) and **Windows Mobile**: the *Qt*
+    libraries reside in `C:\Qt\`.
+  - For **Windows Mobile**: *Windows Mobile 5.0 Pocket PC SDK* or later
+    is installed.
+
+
+3. Supported Platforms
 ----------------------
 
-TSPSG is oficially supported and tested on the following platforms:
-
-  - Linux: Gentoo AMD64 and Kubuntu 9.10 64-bit AMD.
-
-  - Windows: Windows XP 32-bit and Windows 7 64-bit.
-
-  - Windows Mobile: Windows Mobile 6.5 Professional Edition.
-
-
-
-4. BUILDING AND INSTALLATION
+**TSPSG** is oficially supported and tested on the following platforms:
+
+  - **Linux**: *Gentoo AMD64* and *Kubuntu 9.10 64-bit AMD*.
+  - **Windows**: *Windows XP 32-bit* and *Windows 7 64-bit*.
+  - **Windows Mobile**: *Windows Mobile 6.5 Professional Edition*.
+
+
+4. Building and Installation
 ----------------------------
 
-### 4.1. COMMON INFORMATION ###
-
-To be able ot build TSPSG you need to have the following Qt modules:
-QtCore, QtGui and QtSvg. The first two are required, the last one is
-optional. To get support for additional image formats (i.e., JPEG and
-TIFF) you'll additionally need corresponding Qt imageformats plugins.
-
-If you want to build TSPSG without SVG support add nosvg to qmake
-CONFIG parameter, so that qmake command will typically be:
+### 4.1. Common Information ###
+
+To be able ot build **TSPSG** you need to have the following *Qt*
+modules: *QtCore*, *QtGui* and *QtSvg*. The first two are required, the
+last one is optional. To get support for additional image formats (i.e.,
+**JPEG** and **TIFF**) you'll additionally need corresponding *Qt
+imageformats* plugins.
+
+If you want to build **TSPSG** without **SVG** support add `nosvg` to
+*qmake* `CONFIG` parameter, so that *qmake* command will typically be:
 
     qmake CONFIG+=release CONFIG+=nosvg
 
-This way you will not depend on QtSvg module but will not be able to
-export solution graph in SVG format.
-
-
-TSPSG uses qmake PREFIX parameter to determine installation path for
-make install command. If you don't specify it when running qmake, it
+This way you will not depend on *QtSvg* module but will not be able to
+export solution graph in **SVG** format.
+
+
+**TSPSG** uses *qmake* `PREFIX` parameter to determine installation path
+for make install command. If you don't specify it when running qmake, it
 will be assigned the default value depending on the platform:
 
- Platform          | Default PREFIX value
--------------------|-------------------------------------
- Linux/UNIX/BSD    | /usr
--------------------|-------------------------------------
- Windows           | %PROGRAMFILES% environment variable
-                   | (usually, it is "C:\Program Files")
--------------------|-------------------------------------
- Windows CE/Mobile | "\Program Files"
--------------------|-------------------------------------
- Symbian           | <ignored>
--------------------|-------------------------------------
-
-NOTE: Please, note that there are no installation and/or packaging
-rules for MacOS and other platforms not mentioned in this table.
-
-
-By default, TSPSG uses precompiled header when being built. If you
-experience problems with it you may add CONFIG+=nopch parameter to
-qmake to disable the generation and use of the precompiled header.
-
-
-### 4.2. GENERAL PROCEDURE ###
+| Platform              | Default `PREFIX` value                  |
+|-----------------------|-----------------------------------------|
+| **Linux/UNIX/BSD**    | `/usr`                                  |
+| **Windows**           | `%PROGRAMFILES%` environment variable\* |
+| **Windows CE/Mobile** | `\Program Files`                        |
+| **Symbian**           | *\<ignored\>*                           |
+
+\* - usually, it is `C:\Program Files`.
+
+**NOTE**: Please, note that there are no installation and/or packaging
+rules for **MacOS** and other platforms not mentioned in this table.
+
+
+By default, **TSPSG** uses precompiled header when being built. If you
+experience problems with it you may add `CONFIG+=nopch` parameter to
+*qmake* to disable the generation and use of the precompiled header.
+
+
+### 4.2. General Procedure ###
 
 On most platforms the general building and installation procedure is:
 
-  1. Run lrelease to generate binary translation files (.qm) from the
-     source (.ts).
-
-  2. Run qmake with CONFIG+=release parameter to generate makefiles.
-
-  3. Run make utility (e.g., make, nmake, mingw32-make) to build TSPSG.
-
-  4. Run make utility with 'install' parameter (without quotes).
-
-NOTE: It is important to run lrelease before qmake, or qmake will not
-"pick up" the translations when generating installation rules.
-
-
-### 4.3. LINUX/UNIX/BSD ###
-
-Open a shell, navigate to the directory where you have TSPSG source
+  1. Run `lrelease` to generate binary translation files (*.qm*) from
+     the source (*.ts*).
+  2. Run `qmake` with `CONFIG+=release` parameter to generate makefiles.
+  3. Run `make` utility (e.g., *make*, *nmake*, *mingw32-make*) to build
+     **TSPSG**.
+  4. Run `make` utility with `install` parameter.
+
+NOTE: It is important to run `lrelease` before `qmake`, or `qmake` will
+not "pick up" the translations when generating installation rules.
+
+
+### 4.3. Linux/UNIX/BSD ###
+
+Open a shell, navigate to the directory where you have **TSPSG** source
 downloaded and type
 
@@ -143,5 +110,5 @@
     cd tspsg-<VERSION>-src
 
-where <VERSION> is the version of TSPSG you downloaded. Now run
+where *\<VERSION\>* is the version of **TSPSG** you downloaded. Now run
 
     lrelease tspsg.pro
@@ -165,9 +132,9 @@
 depending on your distribution.
 
-The executable goes to <PREFIX>/bin; COPYING, ChangeLog.txt, README.txt
-and INSTALL.txt go to <PREFIX>/share/doc/TSPSG-<VERSION>.
-
-
-### 4.4. WINDOWS ###
+The executable goes to `<PREFIX>/bin`; *COPYING*, *ChangeLog.md*,
+*README.md* and *INSTALL.md* go to `<PREFIX>/share/doc/TSPSG-<VERSION>`.
+
+
+### 4.4. Windows ###
 
 TSPSG will be installed to <PREFIX>\TSPSG folder.
@@ -176,5 +143,5 @@
 
 
-#### 4.4.1. USING MINGW ####
+#### 4.4.1. Using MinGW ####
 
 Unpack the downloaded source code of TSPSG with your favourite
@@ -194,5 +161,5 @@
 
 
-#### 4.4.2. USING VISUAL STUDIO ####
+#### 4.4.2. Using Visual Studio ####
 
 Unpack the downloaded source code of TSPSG with your favourite
@@ -210,5 +177,5 @@
 
 
-### 4.5. WINDOWS CE/MOBILE ###
+### 4.5. Windows CE/Mobile ###
 
 Unpack the downloaded source code of TSPSG with your favourite
@@ -240,5 +207,5 @@
 
 
-### 4.6. SYMBIAN ###
+### 4.6. Symbian ###
 
 Unpack the downloaded source code of TSPSG with your favourite
@@ -280,5 +247,5 @@
 
 
-### 4.7. OTHER PLATFORMS, SUPPORTED BY QT ###
+### 4.7. Other Platforms, Supported by Qt ###
 
 While TSPSG is oficially supported only on Linux, Windows and Windows
@@ -289,5 +256,5 @@
 
 
-5. UNINSTALLATION
+5. Uninstallation
 -----------------
 
@@ -298,9 +265,9 @@
 
 
-6. TROUBLESHOOTING
+6. Troubleshooting
 ------------------
 
 
-### 6.1. WINDRES.EXE CRASH ###
+### 6.1. WINDRES.EXE Crash ###
 
 When building under Windows using minGW toolchain make process may fail
@@ -327,5 +294,5 @@
 
 
-7. NOTES
+7. Notes
 --------
 
@@ -337,5 +304,5 @@
 
 
-8. REFERNECES
+8. References
 -------------
 
@@ -344,4 +311,6 @@
 
 
+<!--
 $Id: $Format:%h %ai %an$ $
 $URL: http://tspsg.info/ $
+-->
Index: README.md
===================================================================
--- README.md	(revision 50b202f04de774aad15c1fc9b51579590f311b6d)
+++ README.md	(revision 6221a58c7c319c90937385e5a6474a9f47cf6797)
@@ -1,23 +1,27 @@
-TSPSG: TSP Solver and Generator
-===============================
+TSP Solver and Generator
+========================
 
-Copyright (C) 2007-2013 Oleksii Serdiuk <contacts[at]oleksii[dot]name>
+Copyright (C) 2007-2013 [Oleksii Serdiuk](mailto:contacts@oleksii.name).
 
 
-About
------
+About TSPSG
+-----------
 
-TSPSG is intended to generate and solve Travelling Salesman Problem
-(TSP) tasks. It uses Branch and Bound method for solving. Its input is
-a number of cities and a matrix of city-to-city travel costs. The
-matrix can be populated with random values in a given range (which is
-useful for generating tasks). The result is an optimal route, its
-price, step-by-step matrices of solving and a solving graph. The task
-can be saved in an internal binary format and opened later. The result
-can be printed or saved as PDF, HTML, or ODF.
+**TSP Solver and Generator** is intended to generate and solve
+**Travelling Salesman Problem** (TSP) tasks. It uses *Branch and Bound*
+method for solving. Its input is a number of cities and a matrix of
+city-to-city travel costs. The matrix can be populated with random
+values in a given range (which is useful for generating tasks). The
+result is an optimal route, its price, step-by-step matrices of solving
+and a solving graph. The task can be saved in an internal binary format
+and opened later. The result can be printed or saved as *PDF*, *HTML*,
+or *ODF*.
 
-TSPSG may be useful for teachers to generate test tasks or just for
-regular users to solve TSPs. Also, it may be used as an example of
-using Branch and Bound method to solve a particular task.
+**TSPSG** may be useful for teachers to generate test tasks or just for
+regular users to solve TSPs. Also, it may be used as an example of using
+*Branch and Bound* method to solve a particular task.
+
+You can check the [Installation Guide](INSTALL.md) or read the
+[ChangeLog](ChangeLog.md) to see what's new (updated only on releases).
 
 
@@ -43,23 +47,25 @@
 
 I'd like to give credits to the following projects which were used in
-the creation of TSP Solver and Generator:
+the creation of **TSP Solver and Generator**:
 
-  * TSPSG was created using Qt framework licensed under the terms of
-    the GNU Lesser General Public License,
-    see http://qt.nokia.com/.
+  * TSPSG was created using **Qt framework** licensed under the terms of
+    the *GNU Lesser General Public License*,
+    see <http://qt.nokia.com/>.
 
-  * Most icons used in TSPSG are part of Oxygen Icons project licensed
-    according to the GNU Lesser General Public License,
-    see http://www.oxygen-icons.org/.
+  * Most icons used in TSPSG are part of **Oxygen Icons** project
+    licensed according to the *GNU Lesser General Public License*,
+    see <http://www.oxygen-icons.org/>.
 
-  * Country flag icons used in TSPSG are part of the free Flag Icons
-    collection created by IconDrawer,
-    see http://www.icondrawer.com/.
+  * Country flag icons used in TSPSG are part of the free **Flag Icons**
+    collection created by **IconDrawer**,
+    see <http://www.icondrawer.com/>.
 
-  * TSPSG comes with the default "embedded" font DejaVu LGC Sans Mono
-    from the DejaVu fonts licensed under a Free license,
-    see http://dejavu-fonts.org/.
+  * TSPSG comes with the default "embedded" font **DejaVu LGC Sans
+    Mono** from the **DejaVu fonts** licensed under a *Free license*,
+    see <http://dejavu-fonts.org/>.
 
 
+<!--
 $Id: $Format:%h %ai %an$ $
 $URL: http://tspsg.info/ $
+-->