Index: src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.cpp
===================================================================
--- src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.cpp	(revision 27b1dca32b10a61d9fc8e27073abe3cfc059bc3b)
+++ src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.cpp	(revision 019894f5efd5c400608d0f4573a4392279f900c5)
@@ -1812,10 +1812,10 @@
 //    ui.currentToolBarList->setAcceptDrops(true);
 
-	d_ptr->ui.upButton->setIcon(QIcon(":/images/icons/go-up.png"));
-	d_ptr->ui.downButton->setIcon(QIcon(":/images/icons/go-down.png"));
-	d_ptr->ui.leftButton->setIcon(QIcon(":/images/icons/go-previous.png"));
-	d_ptr->ui.rightButton->setIcon(QIcon(":/images/icons/go-next.png"));
-	d_ptr->ui.newButton->setIcon(QIcon(":/images/icons/list-add.png"));
-	d_ptr->ui.removeButton->setIcon(QIcon(":/images/icons/list-remove.png"));
+    d_ptr->ui.upButton->setIcon(GET_ICON("go-up"));
+    d_ptr->ui.downButton->setIcon(GET_ICON("go-down"));
+    d_ptr->ui.leftButton->setIcon(GET_ICON("go-previous"));
+    d_ptr->ui.rightButton->setIcon(GET_ICON("go-next"));
+    d_ptr->ui.newButton->setIcon(GET_ICON("list-add"));
+    d_ptr->ui.removeButton->setIcon(GET_ICON("list-remove"));
 
     connect(d_ptr->ui.newButton, SIGNAL(clicked()), this, SLOT(newClicked()));
Index: src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc
===================================================================
--- src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc	(revision 27b1dca32b10a61d9fc8e27073abe3cfc059bc3b)
+++ src/3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.qrc	(revision 019894f5efd5c400608d0f4573a4392279f900c5)
@@ -1,9 +1,9 @@
 <RCC>
     <qresource prefix="/">
-        <file>images/icons/go-down.png</file>
-        <file>images/icons/go-next.png</file>
-        <file>images/icons/go-up.png</file>
-        <file>images/icons/list-add.png</file>
-        <file>images/icons/list-remove.png</file>
+        <file>images/icons/128x128/go-down.png</file>
+        <file>images/icons/128x128/go-next.png</file>
+        <file>images/icons/128x128/go-up.png</file>
+        <file>images/icons/128x128/list-add.png</file>
+        <file>images/icons/128x128/list-remove.png</file>
     </qresource>
 </RCC>
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 27b1dca32b10a61d9fc8e27073abe3cfc059bc3b)
+++ src/mainwindow.cpp	(revision 019894f5efd5c400608d0f4573a4392279f900c5)
@@ -524,5 +524,5 @@
 {
     if (!hasUpdater()) {
-        QMessageBox::warning(this, tr("Unsupported Feature"), tr("Sorry, but this feature is not supported on your platform\nor support for this feature was not installed."));
+        QMessageBox::warning(this, tr("Unsupported Feature"), tr("Sorry, but this feature is not supported on your\nplatform or support for it was not installed."));
         return;
     }
@@ -738,5 +738,5 @@
 QPushButton *cancel = new QPushButton(&pd);
     cancel->setIcon(GET_ICON("dialog-cancel"));
-    cancel->setText(QCoreApplication::translate("QDialogButtonBox", "Cancel", "No need to translate this. This translation will be taken from Qt translation files."));
+    cancel->setText(QCoreApplication::translate("QDialogButtonBox", "Cancel", "No need to translate this. The translation will be taken from Qt translation files."));
     pd.setCancelButton(cancel);
     pd.setMaximum(n);
@@ -1857,10 +1857,10 @@
 
     QMenu *m = new QMenu(this);
-    m->addAction(QApplication::translate("QDialogButtonBox", "Discard", "No need to translate this. This translation will be taken from Qt translation files."),
+    m->addAction(QApplication::translate("QDialogButtonBox", "Discard", "No need to translate this. The translation will be taken from Qt translation files."),
                  this, SLOT(discard()));
-    m->addAction(QApplication::translate("QDialogButtonBox", "Cancel", "No need to translate this. This translation will be taken from Qt translation files."),
+    m->addAction(QApplication::translate("QDialogButtonBox", "Cancel", "No need to translate this. The translation will be taken from Qt translation files."),
                  this, SLOT(cancel()));
 
-    QAction *o = new QAction(QApplication::translate("QMenuBar", "Actions", "No need to translate this. This translation will be taken from Qt translation files."), this);
+    QAction *o = new QAction(QApplication::translate("QtToolBarDialog", "Actions"), this);
     o->setSoftKeyRole(QAction::NegativeSoftKey);
     o->setMenu(m);
Index: src/tspmodel.cpp
===================================================================
--- src/tspmodel.cpp	(revision 27b1dca32b10a61d9fc8e27073abe3cfc059bc3b)
+++ src/tspmodel.cpp	(revision 019894f5efd5c400608d0f4573a4392279f900c5)
@@ -404,5 +404,5 @@
         QMessageBox::critical(QApplication::activeWindow(), tr("Task Load"), tr("Unable to load task:") + "\n"
             + tr("File version (%1) is newer than this version of %3 supports (%2).\n"
-                 "Please, try to update the application. Also, the file might be corrupted.")
+                 "Please, try to update the application. Also, the file could be corrupted.")
                  .arg(version).arg(TSPT_VERSION).arg(QApplication::applicationName()));
         QApplication::restoreOverrideCursor();
Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 27b1dca32b10a61d9fc8e27073abe3cfc059bc3b)
+++ ui/settingsdialog.ui	(revision 019894f5efd5c400608d0f4573a4392279f900c5)
@@ -389,5 +389,5 @@
             </property>
             <property name="statusTip">
-             <string>Use data URI scheme to save solution graph in HTML (not supported by IE 7 and lower)</string>
+             <string>Save solution graph inside HTML using data URI scheme (not supported by IE 7 and lower)</string>
             </property>
             <property name="text">