Index: ui/settingsdialog.ce.ui
===================================================================
--- ui/settingsdialog.ce.ui	(revision 0621172ec1360a6a41b41eeb54570f123e8abd61)
+++ ui/settingsdialog.ce.ui	(revision 78282ec7786f95d6a1d029983aee0fb13363fae5)
@@ -7,10 +7,10 @@
     <x>0</x>
     <y>0</y>
-    <width>214</width>
-    <height>207</height>
+    <width>235</width>
+    <height>190</height>
    </rect>
   </property>
   <property name="windowTitle">
-   <string>Параметры</string>
+   <string>Preferences</string>
   </property>
   <property name="windowIcon">
@@ -98,9 +98,9 @@
        <widget class="QGroupBox" name="groupRandomSettings">
         <property name="title">
-         <string>Случайные значения:</string>
+         <string>Random values:</string>
         </property>
-        <layout class="QVBoxLayout">
+        <layout class="QVBoxLayout" name="_5">
          <item>
-          <layout class="QHBoxLayout">
+          <layout class="QHBoxLayout" name="_6">
            <item>
             <widget class="QLabel" name="labelRandMin">
@@ -112,5 +112,5 @@
              </property>
              <property name="text">
-              <string>Ми&amp;нимум:</string>
+              <string>&amp;Minimal:</string>
              </property>
              <property name="buddy">
@@ -125,5 +125,5 @@
              </property>
              <property name="statusTip">
-              <string>Нижняя граница для генерации случайных значений</string>
+              <string>Minimum for random number generation</string>
              </property>
              <property name="maximum">
@@ -138,5 +138,5 @@
          </item>
          <item>
-          <layout class="QHBoxLayout">
+          <layout class="QHBoxLayout" name="_7">
            <item>
             <widget class="QLabel" name="labelRandMax">
@@ -148,5 +148,5 @@
              </property>
              <property name="text">
-              <string>&amp;Максимум:</string>
+              <string>Ma&amp;ximal:</string>
              </property>
              <property name="buddy">
@@ -161,5 +161,5 @@
              </property>
              <property name="statusTip">
-              <string>Верхняя граница для генерации случайных значений</string>
+              <string>Maximum for random number generation</string>
              </property>
              <property name="minimum">
@@ -196,9 +196,12 @@
         <item>
          <widget class="QPushButton" name="buttonColor">
+          <property name="cursor">
+           <cursorShape>PointingHandCursor</cursorShape>
+          </property>
           <property name="statusTip">
-           <string>Задать цвет шрифта, используемого при печати</string>
+           <string>Font color for printing</string>
           </property>
           <property name="text">
-           <string>&amp;Цвет...</string>
+           <string>&amp;Color...</string>
           </property>
           <property name="icon">
@@ -214,8 +217,8 @@
           </property>
           <property name="statusTip">
-           <string>Задать параметры шрифта, используемого при печати</string>
+           <string>Font face for printing</string>
           </property>
           <property name="text">
-           <string>&amp;Шрифт...</string>
+           <string>&amp;Font...</string>
           </property>
           <property name="icon">
@@ -274,16 +277,19 @@
      </property>
      <item>
-      <widget class="QToolButton" name="toolButton">
+      <widget class="QToolButton" name="buttonHelp">
+       <property name="enabled">
+        <bool>false</bool>
+       </property>
        <property name="cursor">
         <cursorShape>PointingHandCursor</cursorShape>
        </property>
        <property name="toolTip">
-        <string>Справка</string>
+        <string>Help</string>
        </property>
        <property name="statusTip">
-        <string>Получить помощь по настройкам</string>
+        <string>Get preferences help</string>
        </property>
        <property name="text">
-        <string>Помощь</string>
+        <string>Help</string>
        </property>
        <property name="icon">
@@ -315,5 +321,5 @@
        </property>
        <property name="statusTip">
-        <string>Сохранить новые параметры</string>
+        <string>Save new preferences</string>
        </property>
        <property name="text">
@@ -335,8 +341,8 @@
        </property>
        <property name="statusTip">
-        <string>Закрыть окно без сохранения параметров</string>
+        <string>Close without saving preferences</string>
        </property>
        <property name="text">
-        <string>&amp;Отмена</string>
+        <string>&amp;Cancel</string>
        </property>
        <property name="icon">