Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 5515c2c2a76cbe53019066185c149c9dc88736da)
+++ ui/settingsdialog.ui	(revision 7177744fc7e92263a2ffa27be242ff5855a25dcb)
@@ -6,6 +6,6 @@
     <x>0</x>
     <y>0</y>
-    <width>436</width>
-    <height>172</height>
+    <width>440</width>
+    <height>176</height>
    </rect>
   </property>
@@ -182,4 +182,7 @@
                   <cursorShape>PointingHandCursor</cursorShape>
                  </property>
+                 <property name="statusTip" >
+                  <string>Нижняя граница для генерации случайных значений</string>
+                 </property>
                  <property name="maximum" >
                   <number>1000</number>
@@ -214,4 +217,7 @@
                  <property name="cursor" >
                   <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="statusTip" >
+                  <string>Верхняя граница для генерации случайных значений</string>
                  </property>
                  <property name="minimum" >
@@ -254,4 +260,7 @@
                   <cursorShape>PointingHandCursor</cursorShape>
                  </property>
+                 <property name="statusTip" >
+                  <string>Размер отступа от левого края страницы</string>
+                 </property>
                  <property name="maximum" >
                   <number>999</number>
@@ -271,4 +280,7 @@
                <property name="cursor" >
                 <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="statusTip" >
+                <string>Задать параметры шрифта, используемого при печати</string>
                </property>
                <property name="text" >
@@ -290,4 +302,7 @@
            <cursorShape>PointingHandCursor</cursorShape>
           </property>
+          <property name="statusTip" >
+           <string>Открывать окно в том же положении и с теми же размерами, с какими оно было закрыто</string>
+          </property>
           <property name="text" >
            <string>Сохранять состояние и положение главного окна</string>
@@ -342,5 +357,5 @@
        </property>
        <property name="toolTip" >
-        <string>Помощь</string>
+        <string>Справка</string>
        </property>
        <property name="statusTip" >
@@ -366,6 +381,12 @@
         </sizepolicy>
        </property>
-       <property name="text" >
-        <string>Подсказка</string>
+       <property name="minimumSize" >
+        <size>
+         <width>235</width>
+         <height>30</height>
+        </size>
+       </property>
+       <property name="statusTip" >
+        <string>Наведите указателем мыши на требуемый элемент диалога, чтоб получить подсказку</string>
        </property>
        <property name="textFormat" >
@@ -373,5 +394,5 @@
        </property>
        <property name="alignment" >
-        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+        <set>Qt::AlignJustify|Qt::AlignVCenter</set>
        </property>
        <property name="wordWrap" >
@@ -385,4 +406,7 @@
         <cursorShape>PointingHandCursor</cursorShape>
        </property>
+       <property name="statusTip" >
+        <string>Сохранить новые параметры</string>
+       </property>
        <property name="text" >
         <string>&amp;OK</string>
@@ -400,4 +424,7 @@
        <property name="cursor" >
         <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="statusTip" >
+        <string>Закрыть окно без сохранения параметров</string>
        </property>
        <property name="text" >